summaryrefslogtreecommitdiff
path: root/tests/sort
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-09-04 22:28:35 +0000
committerJim Meyering <jim@meyering.net>2003-09-04 22:28:35 +0000
commit5fe692927c75c6f1cf2d143c60a79ab4f8577f72 (patch)
tree5c7cc96da65bda248c8beb480965b349bb1124c6 /tests/sort
parent8863b3d3b3726ed438223cc578e115f6857e1f0c (diff)
downloadcoreutils-5fe692927c75c6f1cf2d143c60a79ab4f8577f72.tar.xz
.
Diffstat (limited to 'tests/sort')
-rw-r--r--tests/sort/Makefile.am5
-rwxr-xr-xtests/sort/sort-tests38
2 files changed, 40 insertions, 3 deletions
diff --git a/tests/sort/Makefile.am b/tests/sort/Makefile.am
index 1d8deb800..52d68969e 100644
--- a/tests/sort/Makefile.am
+++ b/tests/sort/Makefile.am
@@ -20,7 +20,8 @@ n10b.X n11a.I n11a.X n11b.I n11b.X 01a.I 01a.X 02a.I 02a.X 02b.I 02b.X 02c.I \
18b.I 18b.X 18c.I 18c.X 18d.I 18d.X 18e.I 18e.X 19a.I 19a.X 19b.I 19b.X 20a.I \
20a.X 21a.I 21a.X 21b.I 21b.X 21c.I 21c.X 21d.I 21d.X 21e.I 21e.X 21f.I 21f.X \
21g.I 21g.X 22a.I 22a.X 22b.I 22b.X no-file1.X o-no-file1.X create-empty.X \
-neg-nls.I neg-nls.X nul-nls.I nul-nls.X use-nl.I use-nl.X
+neg-nls.I neg-nls.X nul-nls.I nul-nls.X use-nl.I use-nl.X o2.I o2.X nul-tab.I \
+nul-tab.X
run_gen = n1.O n1.E n2.O n2.E n3.O n3.E n4.O n4.E n5.O n5.E n6.O n6.E n7.O \
n7.E n8a.O n8a.E n8b.O n8b.E n9a.O n9a.E n9b.O n9b.E n10a.O n10a.E n10b.O \
n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
@@ -39,7 +40,7 @@ n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
20a.E 21a.O 21a.E 21b.O 21b.E 21c.O 21c.E 21d.O 21d.E 21e.O 21e.E 21f.O 21f.E \
21g.O 21g.E 22a.O 22a.E 22b.O 22b.E no-file1.O no-file1.E o-no-file1.O \
o-no-file1.E create-empty.O create-empty.E neg-nls.O neg-nls.E nul-nls.O \
-nul-nls.E use-nl.O use-nl.E
+nul-nls.E use-nl.O use-nl.E o2.O o2.E nul-tab.O nul-tab.E
##test-files-end
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
diff --git a/tests/sort/sort-tests b/tests/sort/sort-tests
index ad173a900..c32ef5ff5 100755
--- a/tests/sort/sort-tests
+++ b/tests/sort/sort-tests
@@ -2016,8 +2016,44 @@ else
esac
fi
test -s use-nl.E || rm -f use-nl.E
+_POSIX2_VERSION=199209 $xx -o x -o y $srcdir/o2.I > o2.O 2> o2.E
+code=$?
+if test $code != 2; then
+ $echo "Test o2(_POSIX2_VERSION=199209) failed: $xx return code $code differs from expected value 2" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp o2.O $srcdir/o2.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE"; then $echo "passed o2(_POSIX2_VERSION=199209)"; fi;;
+ 1) $echo "Test o2(_POSIX2_VERSION=199209) failed: files o2.O and $srcdir/o2.X differ" 1>&2
+ (diff -c o2.O $srcdir/o2.X) 2> /dev/null
+ errors=`expr $errors + 1`;;
+ 2) $echo "Test o2(_POSIX2_VERSION=199209) may have failed." 1>&2
+ $echo The command "cmp o2.O $srcdir/o2.X" failed. 1>&2
+ errors=`expr $errors + 1`;;
+ esac
+fi
+test -s o2.E || rm -f o2.E
+_POSIX2_VERSION=199209 $xx -k2,2 -t '\0' $srcdir/nul-tab.I > nul-tab.O 2> nul-tab.E
+code=$?
+if test $code != 0; then
+ $echo "Test nul-tab(_POSIX2_VERSION=199209) failed: $xx return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp nul-tab.O $srcdir/nul-tab.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE"; then $echo "passed nul-tab(_POSIX2_VERSION=199209)"; fi;;
+ 1) $echo "Test nul-tab(_POSIX2_VERSION=199209) failed: files nul-tab.O and $srcdir/nul-tab.X differ" 1>&2
+ (diff -c nul-tab.O $srcdir/nul-tab.X) 2> /dev/null
+ errors=`expr $errors + 1`;;
+ 2) $echo "Test nul-tab(_POSIX2_VERSION=199209) may have failed." 1>&2
+ $echo The command "cmp nul-tab.O $srcdir/nul-tab.X" failed. 1>&2
+ errors=`expr $errors + 1`;;
+ esac
+fi
+test -s nul-tab.E || rm -f nul-tab.E
if test $errors = 0; then
- $echo Passed all 111 tests. 1>&2
+ $echo Passed all 113 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi